$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.329-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.329-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F3CFDABD7F119B78A8B6C5872DC27D1243E2B2769D60249A81010CFB21C977A0'
  checksumType = 'sha256'
  checksum64 = 'F3CFDABD7F119B78A8B6C5872DC27D1243E2B2769D60249A81010CFB21C977A0'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.329-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
